Bulletin d'alerte Debian

DSA-722-1 smail -- Dépassement de tampon

Date du rapport :
9 mai 2005
Paquets concernés :
smail
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 301428.
Dans le dictionnaire CVE du Mitre : CVE-2005-0892.
Plus de précisions :

Un dépassement de tampon a été découvert dans Smail, un système de transport de courrier électronique. Ce dépassement de tampon permettait aux utilisateurs distants et locaux d'exécuter du code arbitraire.

Pour l'actuelle distribution stable (Woody), ce problème a été corrigé dans la version 3.2.0.114-4woody1.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 3.2.0.115-7.

Nous vous recommandons de mettre à jour votre paquet smail.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114-4woody1.dsc
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114-4woody1.diff.gz
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114-4woody1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114-4woody1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114-4woody1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114-4woody1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114-4woody1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114-4woody1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114-4woody1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114-4woody1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114-4woody1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114-4woody1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/s/smail/smail_3.2.0.114-4woody1_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.